> For the complete documentation index, see [llms.txt](https://api-docs.speechace.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.speechace.com/api-reference/score-speech-open-ended/per-metric-feedback/coherence-metrics.md).

# Coherence metrics

Below are the detailed feedback metrics appearing in the response for `coherence` along with their descriptions, are as follows.&#x20;

These metrics are returned by including `include_ielts_feedback = 1` parameter in the [Spontaneous Speech API](/api-reference/score-speech-open-ended.md).

<table data-full-width="false"><thead><tr><th width="414">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>coherence.overall_metrics.lexical_density</td><td>The degree of use of content words within the response.</td></tr><tr><td>coherence.overall_metrics.basic_connectives</td><td>The degree and variety of basic connectives within the response. A list of most overused basic connectives is included.</td></tr><tr><td>coherence.overall_metrics.causal_connectives</td><td>The degree and variety of causal connectives within the response. A list of most overused causal connectives is included.</td></tr><tr><td>coherence.overall_metrics.negative_connectives</td><td>The degree and variety of negative connectives within the response. A list of most used negative connectives is included.</td></tr><tr><td>coherence.overall_metrics.pronoun_density</td><td>The degree of use of pronouns within the response.</td></tr><tr><td>coherence.overall_metrics.adverb_diversity</td><td>The degree and variety of adverbs within the response. A list of most overused adverbs is included.</td></tr><tr><td>coherence.overall_metrics.verb_diversity</td><td>The degree and variety of verbs within the response. A list of most overused verbs is included.</td></tr></tbody></table>

Below is an example showing the snippet of `coherence` metrics:

{% code overflow="wrap" lineNumbers="true" %}

```json5
"coherence": {
      "overall_metrics": {
        "lexical_density": {
          "score": 10,
          "level": "high"
        },
        "basic_connectives": {
          "score": 5,
          "level": "mid",
          "examples": [
            "and",
            "or"
          ]
        },
        "causal_connectives": {
          "score": 10,
          "level": "high"
        },
        "negative_connectives": {
          "score": 5,
          "level": "mid",
          "message": "Great Job! Your response used negative connectives which added contrast to your argument. See the list of some of the negative connectives used.",
          "examples": [
            "or"
          ]
        },
        "pronoun_density": {
          "score": 4,
          "level": "mid"
        },
        "adverb_diversity": {
          "score": 10,
          "level": "high"
        },
        "verb_diversity": {
          "score": 10,
          "level": "high"
        }
      }
    },
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.speechace.com/api-reference/score-speech-open-ended/per-metric-feedback/coherence-metrics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
